Skip to main content
GET
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
{advanceId}
Get settlement advance detail
curl --request GET \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/{advanceId} \
  --header 'Authorization: Bearer <token>'
{
  "advanceId": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
  "tradeId": "trade-abc-123",
  "contractTradeId": "<string>",
  "advance": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "collateral": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "feeBps": "<string>",
  "status": "disbursed",
  "createDate": "2023-01-01T12:04:05Z",
  "accruedFee": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "fundedAt": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "repayments": [
    {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "amount": {
        "currency": "USDC",
        "amount": "<string>"
      },
      "settlementDate": "2023-11-07T05:31:56Z",
      "createDate": "2023-11-07T05:31:56Z"
    }
  ],
  "fee": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "feeCollectedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

advanceId
string<uuid>
required

The settlement advance identifier. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Response

Settlement advance detail.

Full detail of a single settlement advance.

advanceId
string<uuid>
required

Settlement advance identifier.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

tradeId
string
required

Trade identifier.

Example:

"trade-abc-123"

contractTradeId
string
required

On-chain numeric trade id as a string.

advance
object
required

Currency and amount for settlement advance flows.

collateral
object
required

Currency and amount for settlement advance flows.

feeBps
string
required

Amount of currency, formatted as a string with up to six decimal places.

Pattern: ^\d+(?:\.\d{1,6})?$
status
enum<string>
required

Lifecycle status of the credit advanced against a settlement.

  • funds_reserved -- credit reserved on the line, awaiting maker action.
  • requested -- maker submitted the request; Circle is moving funds.
  • disbursed -- funds delivered to the funder passthrough wallet.
  • past_due -- repayment window has elapsed without full repayment.
  • paid -- credit fully repaid.
  • rejected -- credit line rejected the advance request.
  • expired -- reservation expired before being consumed.
  • canceled -- maker or Circle canceled the advance.
Available options:
funds_reserved,
requested,
disbursed,
past_due,
paid,
rejected,
expired,
canceled
Example:

"disbursed"

createDate
string<date-time>
required

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

accruedFee
object

Fee accrued so far. Null until funded.

fundedAt
string<date-time> | null

When the advance was funded on-chain. Null until funded.

dueDate
string<date-time> | null

When the advance is due to be repaid in full. Null until funded.

repayments
object[]

Repayments applied against this advance.

fee
object

Total fee collected on this advance. Null until fully repaid.

feeCollectedAt
string<date-time> | null

When the total fee was collected. Null until fully repaid.